Bug 1206915 - Segfault during upgrade; Segmentation fault (core dumped) perl -MXML::SAX -e "XML::SAX->add_parser(q($p))->save_parsers()" 2> /dev/null
Summary: Segfault during upgrade; Segmentation fault (core dumped) perl -MXML::S...
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-XML-SAX   
(Show other bugs)
Version: 28
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
: 1235260 1313077 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-29 15:24 UTC by Dr. David Alan Gilbert
Modified: 2018-11-27 16:12 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:16:01 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dr. David Alan Gilbert 2015-03-29 15:24:39 UTC
Description of problem:
I'm doing an upgrade from f21 to f22 on my desktop using  /usr/bin/python /bin/yum --releasever=22 distro-sync;

I noticed the following scroll past:


  Updating   : perl-XML-DOM-1.44-22.fc22.noarch                1086/6554
  Updating   : perl-XML-SAX-0.99-13.fc22.noarch                 1087/6554 
/var/tmp/rpm-tmp.snqBZr: line 1:  8137 Segmentation fault      (core dumped) perl -MXML::SAX -e "XML::SAX->add_parser(q($p))->save_parsers()" 2> /dev/null
/var/tmp/rpm-tmp.snqBZr: line 1:  8139 Segmentation fault      (core dumped) perl -MXML::SAX -e "XML::SAX->add_parser(q($p))->save_parsers()" 2> /dev/null

dmesg shows:
[13717.710503] perl[8137]: segfault at 5 ip 00007f577661fe0e sp 00007ffe05f01e40 error 4 in LibXML.so[7f57765dd000+69000]
[13717.814099] perl[8139]: segfault at 5 ip 00007f773b509e0e sp 00007ffdadceee30 error 4 in LibXML.so[7f773b4c7000+69000]

Version-Release number of selected component (if applicable):
rpm -qa | grep perl-XML-SAX

perl-XML-SAX-0.99-13.fc22.noarch
perl-XML-SAX-Base-1.08-12.fc22.noarch
perl-XML-SAX-0.99-12.fc21.noarch
perl-XML-SAX-Base-1.08-11.fc21.noarch

[dg@major ~]$ rpm -qa | grep LibXML
perl-XML-LibXML-2.0118-1.fc22.x86_64
perl-XML-LibXML-2.0116-3.fc21.x86_64

(These rpm -qa's were taken as the upgrade was still running)

How reproducible:
Not sure, I've only done the update once

Steps to Reproduce:
1. Take a happy f21 install
2. Do upgrade to f22 using yum distro-sync
3. Watch the messages as they scroll

Actual results:
Segmentation fault      (core dumped) perl -MXML::SAX -e "XML::SAX->add_parser(q($p))->save_parsers()" 2> /dev/null

Expected results:
No seg fault

Additional info:

Comment 1 Jan Pokorný [poki] 2015-06-02 14:04:31 UTC
Same observation, this time during "fedup" upgrade (phase between
reboots), with officially blessed Fedora 22.

perl-XML-SAX-0.99-13.fc22.noarch.rpm


Note that the installation order was as follows:

> [...]
> perl-XML-SAX-Base-1.08-12.fc22.noarch.rpm
> [...]
> perl-XML-SAX-0.99-13.fc22.noarch.rpm
> perl-XML-LibXML-2.0121-1.fc22.x86_64.rpm 
> [...]

Comment 2 Jitka Plesnikova 2015-06-25 11:09:03 UTC
*** Bug 1235260 has been marked as a duplicate of this bug. ***

Comment 3 Jitka Plesnikova 2015-06-25 12:29:16 UTC
The issue is caused due to triggerin scriptlet in perl-XML-LibXML which is executed after updating of perl-XML-SAX.

$ rpm -q --triggerscripts perl-XML-LibXML
triggerin scriptlet (using /bin/sh) -- perl-XML-SAX
for p in XML::LibXML::SAX::Parser XML::LibXML::SAX ; do
  perl -MXML::SAX -e "XML::SAX->add_parser(q($p))->save_parsers()" \
    2>/dev/null || :
done

The scriptlet is run from old perl-XML-LibXML, but newer Perl and perl-XML-SAX were on the system. Old perl-XML-LibXML code segfaults with new major release of Perl.

The trigger was added for BZ#121168

The version of Perl in Fedoras:
F21: 5.18
F22: 5.20
Rawhide: 5.22

I don't know how to fix it properly right now.

Comment 4 Petr Pisar 2016-03-01 05:49:20 UTC
*** Bug 1313077 has been marked as a duplicate of this bug. ***

Comment 5 Fedora End Of Life 2016-07-19 13:16:01 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Fedora End Of Life 2016-11-24 11:38:08 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-02-28 09:42:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 8 customercare 2017-06-26 13:27:36 UTC
Still not fixed in fc24 packages:


Today: 

dnf --allowerasing --releasever=24 --setopt=deltarpm=false distro-sync

...

  Aktualisieren    : libselinux-python-2.5-12.fc24.i686                                                606/2081 
  Aktualisieren    : python-talloc-2.1.9-1.fc24.i686                                                   607/2081 
  Installieren     : guile-5:2.0.13-1.fc24.i686                                                        608/2081 
  Aktualisieren    : make-1:4.1-5.fc24.i686                                                            609/2081 
  Aktualisieren    : openssl-1:1.0.2k-1.fc24.i686                                                      610/2081 
  Aktualisieren    : perl-IO-Socket-SSL-2.025-1.fc24.noarch                                            611/2081 
  Aktualisieren    : perl-Net-HTTP-6.16-1.fc24.noarch                                                  612/2081 
  Aktualisieren    : perl-libwww-perl-6.15-2.fc24.noarch                                               613/2081 
  Aktualisieren    : perl-XML-SAX-0.99-16.fc24.noarch                                                  614/2081 
/var/tmp/rpm-tmp.olvilZ: Zeile 1:  9276 Speicherzugriffsfehler  (Speicherabzug geschrieben) perl -MXML::SAX -e "XML::SAX->add_parser(q($p))->save_parsers()" 2> /dev/null
/var/tmp/rpm-tmp.olvilZ: Zeile 1:  9278 Speicherzugriffsfehler  (Speicherabzug geschrieben) perl -MXML::SAX -e "XML::SAX->add_parser(q($p))->save_parsers()" 2> /dev/null
  Aktualisieren    : perl-Net-SMTP-SSL-1.03-2.fc24.noarch                                              615/2081 
  Aktualisieren    : perl-MailTools-2.18-1.fc24.noarch                                                 616/2081 
  Aktualisieren    : perl-Log-Dispatch-2.54-4.fc24.noarch                                              617/2081 
  Aktualisieren    : perl-Log-Dispatch-FileRotate-1.19-20.fc24.noarch                                  618/2081 
  Aktualisieren    : perl-Log-Log4perl-1.47-1.fc24.noarch                                              619/2081 
  Aktualisieren    : perl-XML-LibXML-1:2.0128-1.fc24.i686                                              620/2081 
  Aktualisieren    : mariadb-3:10.1.24-3.fc24.i686                                                     621/2081 
  Aktualisieren    : alsa-lib-1.1.1-1.fc24.i686                                                        622/2081 
  Aktualisieren    : t1lib-5.1.2-18.fc24.i686

Comment 9 Fedora End Of Life 2018-05-03 08:51:51 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Ben Cotton 2018-11-27 15:52:27 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.